=== src/app/icon/CMakeLists.txt ===
ecm_install_icons(ICONS 128-apps-peruse.png sc-apps-peruse.svg DESTINATION ${ICON_INSTALL_DIR})
