=== debian/changelog ===
peruse (1.80+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113399)

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 20:43:43 +0200

peruse (1.80+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Remove an obsolete maintscript entry.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * CI: update/simplify configuration.

 -- Pino Toscano <pino@debian.org>  Sun, 13 Apr 2025 08:51:31 +0200

peruse (1.80+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kcm dependency, as it is needed.
    (Closes: #998801)
  * Update the references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Nov 2021 07:31:06 +0100
