## peruse 1.80+dfsg+20251117

=== debian/changelog ===
peruse (1.80+dfsg+20251117-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream snapshot on 2025-11-17.
  * debian/control: Migrate to Qt6 and KF6.
  * debian/patches: Refresh patches.
  * debian/patches/make-acbf-static.patch: Dropped to avoid linking issue
    on static libraries.
  * debian/rules: Instead, explicitly remove development files before
    dh_install.
  * debian/peruse.lintian-overrides: Added.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Dec 2025 14:28:15 -0500
