=== debian/control ===
Source: peruse
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: libkf6baloo-dev,
               cmake (>= 3.1.0~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.75.0~),
               gettext,
               libkirigami-dev,
               libkf6archive-dev,
               libkf6attica-dev,
               libkf6auth-dev,
               libkf6codecs-dev,
               libkf6completion-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6crash-dev,
               libkf6declarative-dev,
               libkf6guiaddons-dev,
               libkf6i18n-dev,
               libkf6iconthemes-dev,
               libkf6itemviews-dev,
               libkf6jobwidgets-dev,
               libkf6kio-dev,
               libkf6newstuff-dev,
               libkf6package-dev,
               libkf6service-dev,
               libkf6solid-dev,
               libkf6widgetsaddons-dev,
               libkf6windowsystem-dev,
               kirigami-addons-dev,
               pkg-kde-tools (>= 0.15.16),
               qml6-module-org-kde-newstuff,
               qt6-base-dev,
               qt6-base-private-dev,
               qt6-declarative-dev,
               qt6-declarative-private-dev,
Standards-Version: 4.7.2
Homepage: https://peruse.kde.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse

Package: peruse
Architecture: any
Depends: peruse-common (>= ${source:Version}),
         qml6-module-org-kde-kcmutils,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qtqml-models,
         qml6-module-qtquick-dialogs,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-okular,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-window,
         qml6-module-org-kde-kitemmodels,
         ${qml6:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: comic book reader
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!

Package: peruse-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for peruse
 Peruse was created as a way to make exactly that as easy and pleasant
 as possible, and to simply get out of the way and let you read your
 comic books.  One could say that it allows you to peruse your comic
 books at your leisure, but that would be a silly way of putting it -
 so, peruse your comic books at your leisure!
 .
 This package contains architecture-independent peruse data files.
