=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Explicitly remove development files before installation
execute_before_dh_install:
	rm -rfv debian/tmp/usr/include/AdvancedComicBookFormat/
	rm -rfv debian/tmp/usr/lib/*/cmake/
