## peruse 1.80+dfsg+20260214

=== debian/changelog ===
peruse (1.80+dfsg+20260214-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * debian/control: Use canonical maintainer email address.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Feb 2026 19:11:48 -0500

peruse (1.80+dfsg+20251117-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Thu, 08 Jan 2026 23:40:06 -0500
