=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: peruse
 Section: kde
-Priority: optional
-Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Simon Quigley <tsimonq2@debian.org>
 Build-Depends: libkf6baloo-dev,
                cmake (>= 3.1.0~),
@@ -39,10 +38,16 @@
                qt6-base-private-dev,
                qt6-declarative-dev,
                qt6-declarative-private-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://peruse.kde.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/peruse.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/peruse
+Description: comic book reader
+ Peruse was created as a way to make exactly that as easy and pleasant
+ as possible, and to simply get out of the way and let you read your
+ comic books.  One could say that it allows you to peruse your comic
+ books at your leisure, but that would be a silly way of putting it -
+ so, peruse your comic books at your leisure!
 
 Package: peruse
 Architecture: any
@@ -67,22 +72,14 @@
          ${qml6:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Description: comic book reader
- Peruse was created as a way to make exactly that as easy and pleasant
- as possible, and to simply get out of the way and let you read your
- comic books.  One could say that it allows you to peruse your comic
- books at your leisure, but that would be a silly way of putting it -
- so, peruse your comic books at your leisure!
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
 
 Package: peruse-common
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: common files for peruse
- Peruse was created as a way to make exactly that as easy and pleasant
- as possible, and to simply get out of the way and let you read your
- comic books.  One could say that it allows you to peruse your comic
- books at your leisure, but that would be a silly way of putting it -
- so, peruse your comic books at your leisure!
+ ${source:Extended-Description}
  .
  This package contains architecture-independent peruse data files.
