## peruse 1.80.0+zneon0+p24.04+vstable+git20251001.0546

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251001.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:46:19 +0000

peruse (1.80.0+zneon0) noble; urgency=medium

  * Team upload.
  * Add the qml-module-org-kde-kcm dependency, as it is needed.
    (Closes: #998801)
  * Update the references to the upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Nov 2021 07:31:06 +0100
