=== src/acbf/CMakeLists.txt ===
--- 
+++ 
@@ -73,10 +73,10 @@
 
 target_link_libraries(acbf
     PUBLIC
-    Qt5::Core
+    Qt6::Core
 )
 target_include_directories(acbf
-    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat>"
+    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF6}/AdvancedComicBookFormat>"
 )
 
 set_target_properties(acbf PROPERTIES
@@ -114,7 +114,7 @@
         MD_MAINPAGE "${CMAKE_CURRENT_SOURCE_DIR}/README.md"
         IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
         LINK_QCHS
-            Qt5Core_QCH
+            Qt6Core_QCH
         INCLUDE_DIRS
             ${CMAKE_CURRENT_BINARY_DIR}
         BLANK_MACROS
@@ -142,13 +142,29 @@
 install(FILES
     ${acbf_HEADERS}
     ${CMAKE_CURRENT_BINARY_DIR}/acbf_version.h
-    DESTINATION "${KDE_INSTALL_INCLUDEDIR_KF5}/AdvancedComicBookFormat" COMPONENT Devel
+    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/AdvancedComicBookFormat" COMPONENT Devel
 )
 
-install(TARGETS acbf EXPORT AdvancedComicBookFormatTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS acbf EXPORT AdvancedComicBookFormatTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(EXPORT AdvancedComicBookFormatTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE AdvancedComicBookFormatTargets.cmake )
 ecm_qt_install_logging_categories(
     EXPORT AdvancedComicBookFormat
     FILE AdvancedComicBookFormat.categories
     DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
+
+### QML Plugin
+
+ecm_add_qml_module(acbfplugin
+    URI "org.kde.peruse.acbf"
+    GENERATE_PLUGIN_SOURCE
+    DEPENDENCIES
+        org.kde.coreaddons
+    SOURCES
+        qmlplugin.h
+        qmlplugin.cpp
+)
+
+target_link_libraries(acbfplugin PUBLIC acbf Qt::QmlIntegration)
+
+ecm_finalize_qml_module(acbfplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)
