=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251015.1434-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 14:34:19 +0000
