## peruse 1.80.0+zneon0+p24.04+vstable+git20251019.0402

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20251019.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:02:42 +0000
