## peruse 1.80.0+zneon0+p24.04+vstable+git20260103.0022

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20260103.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 00:22:08 +0000
