## peruse 1.80.0+zneon0+p24.04+vstable+git20260105.0845

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20260105.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:45:56 +0000
