## peruse 1.80.0+zneon0+p24.04+vstable+git20260130.0829

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vstable+git20260130.0829-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:29:09 +0000
