## peruse 1.80.0+zneon0+p24.04+vunstable+git20260205.0720

=== debian/changelog ===
peruse (1.80.0+zneon0+p24.04+vunstable+git20260205.0720-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:20:25 +0000
